Google Web Toolkit (Beta)
Search this site:

# Class MouseWheelVelocity

public class MouseWheelVelocity
extends Object
Encapsulates the direction and velocity of mouse wheel events. Not all combinations of browser and user input devices can generate all combinations of direction or range of velocity information.

## Fields

vY | Stores the Y-axis velocity.

## Constructors

MouseWheelVelocity(Event) | Construct the higher-level view of the original ONMOUSEWHEEL Event.

## Methods

equals(Object) |
getDeltaY() |
hashCode() |
isNorth() | Convenience method that returns `true` if getDeltaY() is a negative value.
isSouth() | Convenience method that returns `true` if getDeltaY() is a positive value.
toString() |

## See Also

An explanation of the units used for mouse wheel velocity.

## Field Detail

### vY

protected final int vY
Stores the Y-axis velocity.

## Constructor Detail

### MouseWheelVelocity

public MouseWheelVelocity(Event e)
Construct the higher-level view of the original ONMOUSEWHEEL Event.

#### Parameters

e
  the event

## Method Detail

### equals

public boolean equals(Object other)

#### Parameters

other

### getDeltaY

public int getDeltaY()

#### Return Value

the change in the mouse wheel position along the Y-axis; positive if the mouse wheel is moving north (toward the top of the screen) or negative if the mouse wheel is moving south (toward the bottom of the screen)

### hashCode

public int hashCode()

### isNorth

public boolean isNorth()
Convenience method that returns `true` if getDeltaY() is a negative value.

#### Return Value

`true` if the velocity includes a component directed toword the top of the screen

### isSouth

public boolean isSouth()
Convenience method that returns `true` if getDeltaY() is a positive value.

#### Return Value

`true` if the velocity includes a component directed toword the bottom of the screen

### toString

public String toString()